Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.databinding
Class AbstractDataBinding

    java.lang.Object
      org.apache.cxf.databinding.AbstractDataBinding

All Implemented Interfaces:
  DataBinding

    public abstract class AbstractDataBinding

extends Object
implements DataBinding

Supply default implementations, as appropriate, for DataBinding.

Field Summary
`protected int` | `mtomThreshold`

Constructor Summary
`AbstractDataBinding()`

Method Summary
`org.apache.ws.commons.schema.XmlSchema` | `addSchemaDocument(ServiceInfo serviceInfo, org.apache.cxf.common.xmlschema.SchemaCollection col, Document d, String systemId)`
`protected static void` | `checkNamespaceMap(Map<String,String> namespaceMap)`
`protected Bus` | `getBus()`
`Map<String,String>` | `getDeclaredNamespaceMappings()` Provide explicit mappings to ReflectionServiceFactory.
`int` | `getMtomThreshold()`
`Map<String,String>` | `getNamespaceMap()`
`Collection<DOMSource>` | `getSchemas()`
`void` | `setBus(Bus bus)` This call is used to set the bus.
`void` | `setMtomThreshold(int threshold)` If the binding supports MTOM, set the size threshold for its use.
`void` | `setNamespaceMap(Map<String,String> namespaceMap)` Set a map of from URI to prefix.
`void` | `setSchemas(Collection<DOMSource> schemas)`
`protected void` | `updateSchemaLocation(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cxf.databinding.DataBinding
`createReader, createWriter, getSupportedReaderFormats, getSupportedWriterFormats, initialize`

Field Detail

### mtomThreshold

    protected int mtomThreshold

Constructor Detail

### AbstractDataBinding

    public AbstractDataBinding()

Method Detail

### getBus

    protected Bus getBus()

### setBus

    public void setBus(Bus bus)

  This call is used to set the bus. It should only be called once.

  Parameters:
    `bus` -

### getSchemas

    public Collection<DOMSource> getSchemas()

### setSchemas

    public void setSchemas(Collection<DOMSource> schemas)

### addSchemaDocument

    public org.apache.ws.commons.schema.XmlSchema addSchemaDocument(ServiceInfo serviceInfo,
                                                                    org.apache.cxf.common.xmlschema.SchemaCollection col,
                                                                    Document d,
                                                                    String systemId)

### updateSchemaLocation

    protected void updateSchemaLocation(Element e)

### getNamespaceMap

    public Map<String,String> getNamespaceMap()

  Returns:
    the namespaceMap (URI to prefix). This will be null if no particular namespace map has been set.

### setNamespaceMap

    public void setNamespaceMap(Map<String,String> namespaceMap)

  Set a map of from URI to prefix. If possible, the data binding will use these prefixes on the wire.

  Parameters:
    `namespaceMap` - The namespaceMap to set.

### getDeclaredNamespaceMappings

    public Map<String,String> getDeclaredNamespaceMappings()

  Provide explicit mappings to ReflectionServiceFactory. Return a set of mappings from namespace to prefix to allow bindings to control the prefixes.

  Specified by:
    `getDeclaredNamespaceMappings` in interface `DataBinding`
  Returns:
    the map, or null if there are none.

### checkNamespaceMap

    protected static void checkNamespaceMap(Map<String,String> namespaceMap)

### getMtomThreshold

    public int getMtomThreshold()

  Specified by:
    `getMtomThreshold` in interface `DataBinding`

### setMtomThreshold

    public void setMtomThreshold(int threshold)

  Description copied from interface: `DataBinding`
  If the binding supports MTOM, set the size threshold for its use. may be overridden by (e.g.) JAXWS configuration.

  Specified by:
    `setMtomThreshold` in interface `DataBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF